## visad
Class VisADPointArray

    java.lang.Object
      visad.VisADSceneGraphObject
          visad.VisADGeometryArray
              visad.VisADPointArray

All Implemented Interfaces:
  Cloneable, Serializable

public class VisADPointArray
extends VisADGeometryArray

VisADPointArray stands in for j3d.PointArray and is Serializable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.VisADGeometryArray
`any_longitude_rotate, colors, coordinates, longitude_axis, longitude_coords, longitude_cs, longitude_map, normals, texCoords, vertexCount, vertexFormat`

Fields inherited from class visad.VisADSceneGraphObject
`parent`

Constructor Summary
`VisADPointArray()`

Method Summary
`VisADGeometryArray` `adjustLongitude(DataRenderer renderer)` like the default implementation in VisADGeometryArray.java, except no need to construct new VisADPointArray since this already is a VisADPointArray; split any vectors or trianlges crossing crossing longitude seams when Longitude is mapped to a Cartesian display axis; default implementation: rotate if necessary, then return points
`Object` `clone()`

Methods inherited from class visad.VisADGeometryArray
`adjustLongitudeBulk, adjustSeam, byteArrayString, copy, floatArrayString, getLongitudeRange, getLongitudes, getLongitudes, merge, removeMissing, rotateLongitudes, rotateOneLongitude, toString`

Methods inherited from class visad.VisADSceneGraphObject
`detach`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisADPointArray

    public VisADPointArray()

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in class `VisADGeometryArray`

### adjustLongitude

    public VisADGeometryArray adjustLongitude(DataRenderer renderer)
                                       throws VisADException

  like the default implementation in VisADGeometryArray.java, except no need to construct new VisADPointArray since this already is a VisADPointArray; split any vectors or trianlges crossing crossing longitude seams when Longitude is mapped to a Cartesian display axis; default implementation: rotate if necessary, then return points

  Overrides:
    `adjustLongitude` in class `VisADGeometryArray`
  Throws:
    `VisADException`